Run eBay Item
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-ebay-item \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"item": "336776720041"
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-ebay-item"
payload = { "item": "336776720041" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({item: '336776720041'})
};
fetch('https://api.neuralverge.ai/functions/v1/run-ebay-item', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "ebay_item",
"item": "188182070260",
"human": "# eBay item\n\n- **Item:** 188182070260\n- **Proxy traffic:** 2.36 MB\n- **Title:** 2 Wireless Optical Mouse Mice 2.4GHz USB Receiver For Laptop PC Computer DPI USA\n- **Price:** USD5.88\n- **Condition:** New\n- **Seller:** Fansticdaisy",
"machine": {
"item": {
"id": "188182070260",
"title": "2 Wireless Optical Mouse Mice 2.4GHz USB Receiver For Laptop PC Computer DPI USA",
"url": "https://www.ebay.com/itm/188182070260",
"price": 5.88,
"currency": "USD",
"list_price": 7.35,
"condition": "New",
"seller_notes": null,
"quantity_available": null,
"sold_count": null,
"buying_formats": [
"FIXED_PRICE"
],
"has_best_offer": false,
"image": "https://i.ebayimg.com/images/g/9eYAAeSwFsBpu6TH/s-l1600.jpg",
"images": [
"https://i.ebayimg.com/images/g/9eYAAeSwFsBpu6TH/s-l1600.jpg",
"https://i.ebayimg.com/images/g/020AAOSwJdNisitZ/s-l1600.jpg",
"https://i.ebayimg.com/images/g/xwoAAOSwxYpishwI/s-l1600.jpg"
],
"item_specifics": {
"Condition": "New: A brand-new, unused, unopened, undamaged item in its original packaging (where packaging is ... Read moreabout the conditionNew: A brand-new, unused, unopened, undamaged item in its original packaging (where packaging is applicable). Packaging should be the same as what is found in a retail store, unless the item is handmade or was packaged by the manufacturer in non-retail packaging, such as",
"Features": "Scroll Wheel, Adjustable DPI, Ergonomic, On/Off Switch, Thumb Button, Grip",
"Number of Buttons": "6",
"MPN": "Does Not Apply",
"Compatible Product Line": "Universal",
"Tracking Method": "Optical",
"Model": "Wireless Optical Mouse",
"Max. Acceleration": "15M",
"Maximum DPI": "1600",
"Compatible Brand": "Universal,Microsoft Windows 10/8/7/XP",
"Connectivity": "2.4Ghz",
"Brand": "Unbranded",
"Color": "Black",
"Type": "Mini Mouse",
"Country of Origin": "China"
},
"brand": "Unbranded",
"mpn": "Does Not Apply",
"upc": null,
"breadcrumbs": [
"eBay",
"Electronics",
"Computers/Tablets & Networking"
],
"category": "Mice, Trackballs & Touchpads",
"seller": {
"id": "fany",
"name": "Fansticdaisy",
"feedback_count": 89369,
"positive_percent": 99.2,
"store_url": "https://www.ebay.com/str/fany?_trksid=p4429486.m3561.l161210"
},
"watcher_count": 216
},
"proxy_traffic_bytes": 2473207
},
"total_points": 5
}E-commerce & Marketplaces
Run eBay Item
Fetches full eBay listing details by item ID or URL: title, price, condition, images, and seller. Flat 5 points per successful lookup.
POST
/
functions
/
v1
/
run-ebay-item
Run eBay Item
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
eBay item ID or listing URL.